/*
 * Profile 组件的组件路由
 */
import 'package:cpt_profile/modules/my_estate/my_estate_page.dart';
import 'package:cpt_profile/modules/my_household/my_household_page.dart';
import 'package:cpt_profile/modules/setting/setting_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:router/componentRouter/profile_service.dart';

import '../../modules/profile_edit/Profile_edit_page.dart';

class ProfileComponentServiceImpl extends ProfileService {
  @override
  void startEditProfilePage({BuildContext? context}) {
    ProfileEditPage.startInstance(context: context);
  }

  @override
  void startMyEstatePage({BuildContext? context}) {
    MyEstatePage.startInstance(context: context);
  }

  @override
  void startMyHouseHoldPage({BuildContext? context}) {
    MyHouseholdPage.startInstance(context: context);
  }

  @override
  void startSettingPage({BuildContext? context}) {
    SettingPage.startInstance(context: context);
  }
}
